Skip to main content
POST
[Instances] Request instance cancellation

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string<uuid>
required

A UUID string identifying this Instance.

organization_id
string
required

Unique identifier of the organization that owns the resource.

project_id
string
required

Unique identifier of the project containing the resource.

Body

application/json
reason
string
required
Maximum string length: 1000
reason_code
enum<string>
  • too_expensive - Too expensive
  • no_longer_needed - No longer needed
  • missing_feature - Missing feature
  • technical_issue - Technical issue
  • switching_provider - Moving to another provider
  • other - Other
Available options:
too_expensive,
no_longer_needed,
missing_feature,
technical_issue,
switching_provider,
other

Response

Cancellation request submitted successfully